/* ======================================================================
   CSS GLOBAL Rupin Conq 2026
   Design : Adrien Conq
   Version : 260405
   ====================================================================== */

/* Reset */

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
}

button.button {
  appearance: none;
  -webkit-appearance: none;
}
/* Reset global pour tous les boutons */


/* Sélection de texte */

::selection { background-color: #ecf1ec; color: black; }
::-moz-selection { background-color: #ecf1ec; color: black; } /* Firefox */

html {
  scroll-behavior: smooth;
}

/* Body */

body {
  
  background-color: white;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 1.2em;
  line-height: 1.8em;
  color: rgba(20,20,20,1);
  hyphens: auto;          /* active la césure */
  overflow-wrap: break-word; /* coupe si nécessaire */
  overflow-x: hidden;
}

/* Titre h1 et intro SEO */
h1, .intro {
  color:transparent;
  font-size: .2em;

}


/* Titres */

h2 {
  letter-spacing: 0em;
  text-transform: none;
  font-size: 1em;
  font-weight: 400;
  line-height: 1.8em;
  border-bottom: 1px solid silver;
}
h3 {
  text-align: left;
  letter-spacing: 0em;
  text-transform: none;
  font-size: 2em;
  font-weight: 500;
  line-height: 1.2em;
}
h4 {
  font-size: 1.2em;
  font-weight: 500;
  width: 100%;
  margin: 5% 0 0% 0;

}

h5 {
  font-size: 1em;
  font-weight: 400;
  width: 100%;
  margin: 5% 0 0% 0;
  
}



a { text-decoration: none; color: black; }



.button, button {
  display: inline-flex;
  align-items: center;     /* centrage vertical parfait */
  justify-content: center;
  color:black;
  margin: 0 15px 0 0;
  padding: 15px 25px;
  border: 1px solid grey;
  border-radius: 25px;

  background: transparent;
  font: inherit;
  line-height: 1;          /* évite les écarts */
  cursor: pointer;
}

.button:hover, button:hover {
   background-color: #1c1c1c;color:white;
  border : 1px solid #1c1c1c;
  transition: .1s ease-in-out;
}

.black {
  background-color: #1c1c1c;color:white;
  border : 1px solid #1c1c1c;
  transition: .1s ease-in-out;
}

.black:hover {
  border: 1px solid grey;
  border-radius: 25px;
  background: transparent;color:black;
}

/* Texte en évidence */
.strong {
  padding-bottom: 2px;
  border-bottom: 1px solid black;
  font-weight: 500;
}

/* Texte en second plan */
.mineur {
  font-size: 0.8em;
  color: #999;
  margin-top: 40px;
  line-height: 1.4;
}

.GSM {display: none;}



/* Sidebar */

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  max-width: 400px;
  height: 100vh;
  display: flex;
  flex-direction: column;
  border-right: 0px solid silver;
  background-color: white;



}

/* Progress */

.progress {
  display: none;
  width: 97%;
  margin: 1em 0;
}

.progress-track {
  width: 97%;
  border-top: 0px solid silver; /* ligne nette comme un border classique */
  position: relative;
}

.progress-bar {
  position: absolute;
  top: 0; /* au même niveau que la bordure */
  left: 0;
  height: 3px; /* hauteur de la barre de progression */
  width: 0%;
  background: black;
}

/* NAV */
.sidebar-nav {
  padding: 10% 0;
  height: 25vh;
}

.sidebar-nav ul {
  list-style: none;
  margin: 0;
  padding: 0 10%;
}

.sidebar-nav li {
  margin-bottom: 0.5em;
}

.sidebar-nav a {
  text-decoration: none;
  color: black;
  font-size: 1.5em;
}

/* META */

.project-meta {
  height: 35vh;
  padding: 0 10%;
  display: flex;              /* active flexbox */
  flex: 1; /* prend l’espace dispo */
  flex-direction: column;     /* empile les <p> verticalement */
  justify-content: center;    /* centre verticalement le contenu */
}

.project-meta p, a {
  line-height: 1.2em;
}

.meta-line {
  margin: 0 0 0.4em 0;
}

.meta-hidden {
  margin-top: 1em;
}

/* GALERIE */
#gallery {

  display: flex;
  align-items: center;
  gap: 10px;
  padding: 0 10%;
  height: 15vh;
  background: none;
  border: none;
  cursor: pointer;
}

#gallery img {
  margin: 0 0 0 10px;
  transition: transform 0.3s ease; /* pour une animation douce */
}

#gallery:hover img{
  transform: rotate(-45deg); /* légère rotation */
}

/* LOGO */
.logo {
  cursor: pointer;
  border-top: 0px solid silver;
  display: flex;
  justify-content: left;
  align-items: left;
  padding: 0 10%;
  height: 25vh;
}

.logo img {
  width: 40px;
}

/* FOOTER */

#container-footer {

   margin: 5% 0 0 0;
   font-size: .8rem;
   width: 100%;
   display: none;
   border-top:1px silver solid;
   grid-template-columns: repeat(2, 1fr); /* Toujours 2 colonnes */ 
   gap: 10px;                      /* espace entre les colonnes */
   background:linear-gradient(to top, white, white);
   color: grey;
   padding: 30px;
}


.footer-project h6 {
   color: grey;
   font-size: .8rem;
   font-weight: 300;
   text-transform: uppercase;
   margin-bottom: 12px;
   background-color: transparent;
   border: 0;
   padding: 0;
}

.footer-project ul {
   font-weight: 500;
   font-size: 1rem;
   list-style: none;
   padding: 0;
   margin: 0;
}

.footer-project li {
   margin: 6px 0;
}

.footer-project a {
   color: grey;
   text-decoration: none;
   transition: all 0.3s;
}

.footer-project a:hover {
   text-decoration: underline;
}

#container-header{display: none;width: 100%;text-align: center;padding: 15%;}

/* CONTAINER */

.container {
   top: 0;left: 400px;
   margin: 0;padding: 0% 0% 10% 0%;
   position: absolute;
   background: linear-gradient(to bottom, transparent, white);
   display: flex;
   flex-wrap: wrap;
   width: calc(100% - 400px);
   gap:50px 0px;
   transition: width 0.7s ease-in-out;
}

.linear-gradient{
background: linear-gradient(to bottom, transparent, #F7F7F7);
}

/* ----------------------------------------
   ACCORDÉON / sous-sections
   ---------------------------------------- */
#container-header{display: none;width: 100%;text-align: center;padding: 15%;}

.content {                 /* ------Page projet----- */
   padding: 0;
   display: block;
   overflow: hidden;
   max-height: 0;
   transition: max-height 0.2s ease-out;
}

.resume {
  letter-spacing: 0em;
  text-transform: none;
  font-size: 1.5em;
  font-weight: 500;
  line-height: 1.8em;
}

.accordion{                /* ------Page informations----- */
   cursor: pointer;
   margin:30px 0px;
}

.sub-accordion {           /* ------Page informations----- */
   display: block;
   background-color: none;
   cursor: pointer;
   width: 100%;
   transition: 0.4s;
   font-size:1em;
   font-weight:400;
   padding:5px 0;
   line-height: 1em;

   border-bottom:1px solid silver;

}

.on.sub-accordion {        /* ------Page informations----- */
   background-color: none;
  box-shadow: 0 12px 12px -8px rgba(0, 0, 0, 0.0);
}
}

.sub-accordion:hover {     /* ------Page informations----- */
   background-color: none;
}

.sub-accordion:after {     /* ------Page informations----- */
   transition: .2s ease-in-out;
   content: '\002B';
   color: black;
   font-weight: bold;font-size: 1.1em;
   float: right;
   margin-left: 5px;


}




.on.sub-accordion:after {  /* ------Page informations----- */
  content: "\002B";
  transform: rotate(45deg);
  transition: .2s ease-in-out;
}

.mbase{                    /* ------Numéro élément de mission----- */
   font-weight: 500;
   font-size: 1.3em;
   padding:0 20px 0 0;
}


.readmore:before {
   content:'Afficher plus';
   margin-left:5px;
   text-decoration: none;
}

.on.readmore:before {
   content:'Afficher moins';
}


.panel, .sub-panel {       /* ------Sous contenu caché----- */
   max-height: 0;
   overflow: hidden;
   transition: max-height 0.2s ease-in-out;
}

.sub-panel {               /* ------Sous contenu déplié----- */
   display: flex;
   align-items: flex-start;
   gap: 20px;

}

.sub-panel img {
  max-width: 100%;
  height: auto;
  display: block;
}


.sub-panel p {
   margin: 0 20px;padding: 5% 0%;
   text-align: justify;
}

.note {
  margin: 20px 0 40px 0;
  font-style: italic;
  font-size: .9em;
}

.texte-colonne {
  column-count: 3;
  column-width: 500px;
  column-gap: 3%;
  margin:66px 0;
  text-align: justify;    /* justification du texte */
  hyphens: auto;          /* active la césure */
  overflow-wrap: break-word; /* coupe si nécessaire */
}

.XL {height: calc(100vh); width: 100%; padding: 0%; }
.XL img, video{ height: 100%; width: 100%; object-fit: cover; } 
.L{width:100%;margin:0;padding:5% 5% 1% 0;}
.ML{width:80%;margin:0;padding:5% 5% 1% 0;}
.M{width:50%;margin:0;padding:5% 5% 1% 0;}
.S{width:33%;margin:0;padding:5% 5% 0% 0;}



.arrow-link {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  text-decoration: none;
}

.arrow-link::before {
  content: "";
  width: 16px;
  height: 16px;

  background-image: url('../images/r-arrow.svg');
  background-size: contain;
  background-repeat: no-repeat;

  transition: transform 0.2s ease;
}

.arrow-link:hover::before {
  background-image: url('../images/r-arrow-b.svg');
}

/* ---- Responsive tablette ---- */
@media only all and (min-width: 700px) and (max-width: 1200px) {

.sidebar{width: 300px;font-size: .9em;}
.container{width: calc(100% - 300px);left: 300px;}
.project-meta {}
}

/* 100px — 600px (mobile) */
@media only all and (min-width : 100px) and (max-width : 700px) {
   .sidebar{display:none;}
   .container {
    display: absolute;
    top:0;margin:0;left:0;
    padding: 0%;
    width: 100vw;
    overflow-x: hidden;
    gap:0 0;
  }

  #container-header{display: block;width: 100%;text-align: center;padding: 25%;}

  .GSM {display:contents;}
  .PC, .ipad {display:none;}
  .XL { height: 70vh; width: 100vw; padding: 0%; }
  .XL img, video{ height: 100%; width: 100%; object-fit: cover; } 
  .L{width:100%;margin:0;padding:5%;}
  .ML{width:100%;margin:0;padding:5%;}
  .M{width:100%;margin:0;padding:10% 5%;}
  .S{width:33%;margin:0;padding:2%;}
  .readmore{margin:50px 0;}
  .sub-panel {
    flex-direction: column;
  }


  .sub-panel p {
   margin: 0 ;
   text-align: justify;
}

  .sub-panel img {
    width: 100%;
  }

  .resume {
  letter-spacing: 0em;
  text-transform: none;
  font-size: 1.3em;
  font-weight: 500;
  line-height: 1.4em;
}
  }





